#include "UserEdit.h"

/// SelectComputer()
char SelectComputer(void)
{
   BPTR     fh;
   struct   Computer_Type comp;


   if(NULL == (fh = Open("DLGConfig:Port/ComputerTypes.BBS",MODE_OLDFILE)))
      return(0);


   AFPrintf(&UserDat,sout,"%a6Available Computer Types%a7\n");
   Draw_Line(UserDat.Screen_Width);

   while(Read(fh,&comp,sizeof(struct Computer_Type)) == sizeof(struct Computer_Type))
      AFPrintf(&UserDat,sout,"%a7[ %a3%3d %a7]  %a6%s\n",comp.Number, comp.Name);

   AFPrintf(&UserDat,sout,"%a7");
   Draw_Line(UserDat.Screen_Width);

   return((char) IntQuery("Select Computer Type -> ",1,255,0,&uin));
}
//-
